Skip to main content
PATCH
/
browser
/
proxy
/
many
/
v2
Update proxy for multiple profiles
curl --request PATCH \
  --url https://api.gologin.com/browser/proxy/many/v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "proxies": [
    {
      "profileId": "6200f55e7685342e170dc531",
      "proxy": {
        "mode": "http",
        "id": "6201422450e3b9cd602f24e1",
        "host": "127.0.0.1",
        "port": 80,
        "username": "user",
        "password": "password",
        "changeIpUrl": "https://some-proxy-provider.com/change-ip",
        "customName": "My Proxy"
      }
    }
  ]
}
'
import requests

url = "https://api.gologin.com/browser/proxy/many/v2"

payload = { "proxies": [
        {
            "profileId": "6200f55e7685342e170dc531",
            "proxy": {
                "mode": "http",
                "id": "6201422450e3b9cd602f24e1",
                "host": "127.0.0.1",
                "port": 80,
                "username": "user",
                "password": "password",
                "changeIpUrl": "https://some-proxy-provider.com/change-ip",
                "customName": "My Proxy"
            }
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    proxies: [
      {
        profileId: '6200f55e7685342e170dc531',
        proxy: {
          mode: 'http',
          id: '6201422450e3b9cd602f24e1',
          host: '127.0.0.1',
          port: 80,
          username: 'user',
          password: 'password',
          changeIpUrl: 'https://some-proxy-provider.com/change-ip',
          customName: 'My Proxy'
        }
      }
    ]
  })
};

fetch('https://api.gologin.com/browser/proxy/many/v2', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
proxies
object[]
required

List of profiles with their proxies.

Response

204 - undefined